// Decomp.cpp
//
// Dclarations communes  toutes les oprations de dcompression


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "Decomp.h"
#ifndef MUZIPSFX
#include "Muzip.h"
#endif


#ifndef MUZIPSFX
DECOMPMODE SPACE_DECOMP::e_dm;
bool       SPACE_DECOMP::e_fTrouve;
LPSTR      SPACE_DECOMP::e_pszRech;
int        SPACE_DECOMP::e_lenRech;
BYTE       SPACE_DECOMP::e_abMem[bufRechMem+1];
int        SPACE_DECOMP::e_lenMem;
#endif
CFileRead *SPACE_DECOMP::e_pfr;


#ifndef MUZIPSFX

// Une partie du fichier a t lue
void SPACE_DECOMP::OnRead(DWORD len)
{
	oApp.AddStatusAvance(1, len);
}

// Une partie du fichier a t dcompresse
// Retourner TRUE si succs, FALSE si erreur
// Dans le cas d'une recherche, on retourne FALSE si la chane a t trouve
// pour faire croire  une erreur et ainsi arrter la dcompression.
// Cette fonction ne doit pas tre appele pendant les tests, mais ce n'est
// pas une contrainte puisque dans tous les cas s'il ne faut que tester
// le fichier on peut suivre une procdure plus rapide que celle des tampons.
bool SPACE_DECOMP::Flush(const BYTE* pb, DWORD len)
{
	ASSERT(e_dm!=dmTester);
	
	// Mode sortie sur fichier, on crit directement
	if (e_dm==dmNormal)
		return e_fw.Write(pb, len);
	
	
	// Mode recherche
	
	// Tant que le tampon est trop petit,
	// on le remplit au maximum et on recherche
	DWORD bufReste;
	for (;;) {
		
		// Quand le tampon est assez grand, arrter
		bufReste = bufRechMem-e_lenMem;
		if (len < bufReste)
			break;
		
		// Remplir le tampon
		memcpy(e_abMem+e_lenMem, pb, bufReste);
		pb  += bufReste;
		len -= bufReste;
		
		// Effectuer la rechercher
		e_abMem[bufRechMem] = 0;
		if (strstr((LPSTR)e_abMem, e_pszRech)) {
Trouve:
			e_fTrouve = true;
			return false;
		}
		
		// Purger le tampon
		memmove(e_abMem, e_abMem+bufReste, e_lenRech);
		e_lenMem = e_lenRech;
	}
	
	// Remplir le tampon et effectuer la recherche
	memcpy(e_abMem+e_lenMem, pb, len);
	e_lenMem += len;
	e_abMem[e_lenMem] = 0;
	if (strstr((LPSTR)e_abMem, e_pszRech))
		goto Trouve;
	
	// Purger le tampon
	if (e_lenMem > e_lenRech) {
		memmove(e_abMem, e_abMem+e_lenMem-e_lenRech, e_lenRech);
		e_lenMem -= e_lenRech;
	}
	
	return true;
}

#endif
