// GZip/GZipFichier.h


#ifndef _GZIP_GZIPFICHIER_H_
#define _GZIP_GZIPFICHIER_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "../Fichier.h"

class CFileRead;


class CGZipFichier : public CFichier
{
	friend class CGZipArc;
	
public:  // Donnes
	
	DWORD m_off;    // Offset de dbut des donnes
	DWORD m_nCRC;   // CRC
	
	
public:  // Hritage
	
	bool OnRenommer();
	bool OnModifProp();
	
	
protected:  // Interne
	
	bool FichierCopierInterne(CFileRead& fr);
	
	bool DecompInterne(LPCTSTR pszDest);
	
	bool PutHeader();
	bool PutFooter() const;
};


#endif
