// InterfDoc.h


#ifndef _INTERFDOC_H_
#define _INTERFDOC_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "Interf.h"

class CMuzipDoc;


class CInterfDoc : public CInterf
{
public:  // Fonctions
	
	CInterfDoc(CMuzipDoc* pDoc);
	
	
public:  // Hritage
	
	CMuzipDoc* GetDoc() const { return (CMuzipDoc*)m_pDoc; }
	
	void SetModifiedFlag(BOOL bModified=TRUE);
	
	void UpdateView(bool fQueListe=false);
	void DeleteAll();
	void UpdateFichier(CFichier* pFichier);
	
	void CloseDocument();
	
	void SelFichier(const CFichier* pFichier);
	
	void MAJResRech();
	void Rechercher();
	void RechercherSuivant(const CDossier* pDossier, int nItem=-1);
	
	HTREEITEM InsertItem(TVINSERTSTRUCT* ptvis);
	
	
public:  // vnements
	
	void OnFichierSupprimer(CFichier* pFichier);
	void OnDossierSupprimer(CDossier* pDossier);
	void OnDossierChange();
	
	
protected:  // Interne
	
	static void MAJResRechSuite(CDossier* pDossier);
	static void OnFichierTrouve(CFichier* pFichier);
	
	
	CMuzipDoc *m_pDoc;
};


#endif
