// Tar/TarArc.h


#ifndef _TAR_TARARC_H_
#define _TAR_TARARC_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "../MuzipArc.h"

class CArchivePlus;
class CFileWrite;

union TARRECORD;



class CTarArc : public CMuzipArc
{
	friend class CTarFichier;
	
public:  // Fonctions
	
	CTarArc(CInterf* pi) : CMuzipArc(pi) {}
	
	static CMuzipArc* CreateArchive(CInterf* pi);
	
	
public:  // Hritage
	
	bool OpenDocument(bool fSilent);
	
	bool OpenArchiveTemp();
	
	CFichier* NewFichier(LPCTSTR pszFichier, const WIN32_FIND_DATA& wfd);
	
	
protected:  // Interne
	
	bool ArchivePlus();
	
	bool IsGoodType();
	bool Validate(TARRECORD& tr, int nReparer = 0);
	
	static bool GetOctal12(LPCSTR psz, DWORD& dw);
};





#endif
