// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// DialogAide.h


#ifndef _DIALOGAIDE_H_
#define _DIALOGAIDE_H_
#if _MSC_VER>1000
#pragma once
#endif

#include <TabSheet.h>


#include "FileDialogEx.h"


class CDialogAide : public CDialog
{
public:  // Fonctions
	
	CDialogAide() : CDialog() {}
	CDialogAide(LPCTSTR lpszTemplateName, CWnd* pParentWnd=NULL)
		: CDialog(lpszTemplateName, pParentWnd) {}
	CDialogAide(UINT nIDTemplate, CWnd* pParentWnd=NULL)
		: CDialog(nIDTemplate, pParentWnd) {}
	
	
protected:  // Hritage
	
	virtual LRESULT WindowProc(UINT uMsg, WPARAM wParam, LPARAM lParam);
};


class CFileDialogAide : public CFileDialogEx
{
public:  // Fonctions
	
	CFileDialogAide(BOOL bOpenFileDialog,
		LPCTSTR lpszDefExt=NULL,
		LPCTSTR lpszFileName=NULL,
		DWORD dwFlags=OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
		LPCTSTR lpszFilter=NULL,
		CWnd* pParentWnd=NULL)
		: CFileDialogEx(bOpenFileDialog, lpszDefExt, lpszFileName,
		  dwFlags, lpszFilter, pParentWnd) {}
	
	
protected:  // Hritage
	
	virtual LRESULT WindowProc(UINT uMsg, WPARAM wParam, LPARAM lParam);
};


class CPropertyPageAide : public CPropertyPage
{
public:  // Fonctions
	
	CPropertyPageAide() : CPropertyPage() {}
	CPropertyPageAide(UINT nIDTemplate, UINT nIDCaption=0)
		: CPropertyPage(nIDTemplate, nIDCaption) {}
	CPropertyPageAide(LPCTSTR lpszTemplateName, UINT nIDCaption=0)
		: CPropertyPage(lpszTemplateName, nIDCaption) {}
	
	
protected:  // Hritage
	
	virtual LRESULT WindowProc(UINT uMsg, WPARAM wParam, LPARAM lParam);
};


class CTabSheetAide : public CTabSheet
{
public:  // Fonctions
	
	CTabSheetAide(UINT nIDCaption,    CWnd* pParentWnd=NULL, UINT iSelectPage=0)
		: CTabSheet(nIDCaption, pParentWnd, iSelectPage) {}
	CTabSheetAide(LPCTSTR pszCaption, CWnd* pParentWnd=NULL, UINT iSelectPage=0)
		: CTabSheet(pszCaption, pParentWnd, iSelectPage) {}
	
	
public:  // Hritage
	
	virtual BOOL OnInitDialog();
};


#endif
