// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// Divers.h
//
// Des fonctions diverses


#ifndef _MUZIP_DIVERS_H_
#define _MUZIP_DIVERS_H_
#if _MSC_VER>1000
#pragma once
#endif

#include <FileBuf.h>


extern CString    e_sMsg;
extern CFileWrite e_fw;


struct LIST_HEADER
{
	UINT uAlign;
	UINT cx;
};


#define STRING   LPTSTR)(LPCTSTR


// Chargement d'une chane  partir d'une ressource
#define CStringRes(nID)   CString(MAKEINTRESOURCE(nID))


void DDX_Check(CDataExchange* pDX, int nIDC, bool& f);

void SetEnabled(CWnd *pWnd, UINT uIDDeb, UINT uIDFin, UINT uIDDef);

void FillListHeader(CListCtrl& lst, UINT nIDSHeader, const LIST_HEADER alh[]);


class CTokenize
{
public:  // Fonctions
	
	CTokenize(LPCTSTR psz, TCHAR cSep=0);
	CTokenize(UINT    nID, TCHAR cSep=0);
	
	bool Next();
	bool IsLast() const { return !*m_pc; }
	
	int GetIndex() const { return m_i; }
	      CString& GetToken()       { return m_sToken; }
	const CString& GetToken() const { return m_sToken; }
	
	
protected:  // Interne
	
	void Init(TCHAR cSep);
	
	
	CString m_s;        // Chane  tokeniser
	TCHAR   m_cSep;     // Sparateur (zro si guillemets et espaces)
	
	int     m_i;        // Partie courante
	LPCTSTR m_pc;       // Position courante
	CString m_sToken;   // Dernier token rcupr
};



#endif
