// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgArchivePlus.h


#ifndef _DLGARCHIVEPLUS_H_
#define _DLGARCHIVEPLUS_H_
#if _MSC_VER>1000
#pragma once
#endif

class CArchivePlus;
class CMuzipArc;

#include "LBPlusItem.h"
#include "LstBouton.h"
#include "dlgPlusItem.h"


#include "DialogAide.h"
class CDlgArchivePlus : public CDialogAide
{
public:  // Fonctions
	
	CDlgArchivePlus(CMuzipArc* pArc, LPCTSTR pszArchive, CArchivePlus& arPlus, CString& sMdp, CWnd* pParent=NULL);
	
	void OnCurItemChanged(bool fTexte);
	
	void OnLstDropFiles(HDROP hDrop);
	
	
public:  // Donnes
	
	//{{AFX_DATA(CDlgArchivePlus)
	enum { IDD = IDD_ARCHIVEPLUS };
	CSpinButtonCtrl m_spnLimite;
	CLBPlusItem m_lst;
	CButton     m_cmdAjouter;
	CButton     m_cmdHaut;
	CButton     m_cmdBas;
	//}}AFX_DATA
	ARCHIVEPLUS_GUI m_arPlus;
	
	CDlgPlusItem m_dlgPI;
	
	
protected:  // Interne
	
	CMuzipArc    *m_pArc;
	LPCTSTR       m_pszArchive;
	CArchivePlus &m_rarPlus;
	CString      &m_sMdp;
	
	CPlusItem    *m_ppiCur;
	
	CLstBouton    m_lstBouton;
	
	bool DLGtoPI();
	void PItoDLG(CPlusItem* ppi);
	void AjouterEnlever(bool fAjouter, LPCTSTR pszSpecInitiale=NULL);
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgArchivePlus)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CDlgArchivePlus)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnAjouter();
	afx_msg void OnSupprimer();
	afx_msg void OnLstSelChange();
	afx_msg void OnEnlever();
	afx_msg void OnLimiteChange();
	//}}AFX_MSG
	afx_msg void OnHautBas(UINT nID);
	afx_msg BOOL OnToolTipNeedText(UINT nCode, NMHDR* pNMHDR, LRESULT* pResult);
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
#endif
