// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgConfirm.h


#ifndef _DLGCONFIRM_H_
#define _DLGCONFIRM_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "Options.h"


enum
{
	mcfMaj,
	mcfCompModif,
	mcfIgnorer,
	mcfDecompAuto,
	mcfPlusPlusieurs,
	mcfOuvrirNotepad,
	mcfErreurMdp,
	mcfScriptInfoPerdues,
	mcfEcraser,
	mcfArchiveMoins,
	mcfFileDelete,
	mcfMacro,
	mcfMacroExterne,
	mcfMacroEntryPoint,
	
	nbMcf
};


enum
{
	cfmNonDefaut     = 1<<0,   // Bouton "Non" slectionn par dfaut
	cfmPlusDemander  = 1<<1,   // "Ne plus redemander" coch par dfaut
	cfmForcerConfirm = 1<<2,   // Force l'affichage du message (ignore oApp.m_nConfirm)
	                           // Attention ! cela n'ignore pas mcf pour GetReponse()
};


#include "DialogAide.h"
class CDlgConfirm : public CDialogAide
{
public:  // Fonctions
	
	CDlgConfirm(CWnd* pParent=NULL) : CDialogAide(IDD, pParent) {}
	
	static bool GetReponse   (int   mcf,       UINT nIDS=0, int cfm=0);
	static bool GetReponseMan(BOOL& rbConfirm, UINT nIDS=0, int cfm=0);
	
	
public:  // Donnes
	
	//{{AFX_DATA(CDlgConfirm)
	enum { IDD = IDD_CONFIRM };
	CStatic m_lblQuestion;
	BOOL    m_fPasConfirm;
	//}}AFX_DATA
	
	int     m_cfm;          // Options
	CString m_sMsg;         // Message  afficher
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgConfirm)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CDlgConfirm)
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	//}}AFX_MSG
#if 0
	DECLARE_MESSAGE_MAP()
#endif
};


//{{AFX_INSERT_LOCATION}}
#endif
