// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgDecompMult.h


#ifndef _DLGDECOMPMULT_H_
#define _DLGDECOMPMULT_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "AppResource.h"
#include "LstBouton.h"


class CLBDecompMult : public CListBox
{
protected:  // Messages
	
	//{{AFX_MSG(CLBDecompMult)
	afx_msg void OnDropFiles(HDROP hDropInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


#include "Muzip.h"

#include "DialogAide.h"
#pragma warning (disable: 4355)
class CDlgDecompMult : public CDialogAide
{
public:  // Fonctions
	
	CDlgDecompMult();
	
	
public:  // Donnes
	
	//{{AFX_DATA(CDlgDecompMult)
	enum { IDD = IDD_DECOMPMULT };
	CLBDecompMult m_lst;
	BOOL          m_fDecompSousDossier;
	//}}AFX_DATA
	
	CLstCString2 m_lstArchive;
	
	CString m_sDest;
	DECOMP  m_dec;
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgDecompMult)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	CLstBouton m_lstBouton;
	
	//{{AFX_MSG(CDlgDecompMult)
	virtual BOOL OnInitDialog();
	afx_msg void OnAjouter();
	afx_msg void OnSupprimer();
	afx_msg void OnOptions();
	afx_msg void OnLstSelChange();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
#pragma warning (default: 4355)


//{{AFX_INSERT_LOCATION}}
#endif
