// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgNouveau.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "Muzip.h"
#include "Muzip2.h"
#include "dlgNouveau.h"

#include "Reg.h"
#include "FileDialogEx.h"

#include <afxPriv.h>
#include <GUnicode.h>


const LPCTSTR eszGeneralNouveauAjouter = _T("Nouveau ajouter");


BEGIN_MESSAGE_MAP(CDlgNouveau, CFileDialogAide)
	//{{AFX_MSG_MAP(CDlgNouveau)
	ON_BN_CLICKED(IDCCHK_AJOUTER, OnChkAjouter)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// Constructeur
CDlgNouveau::CDlgNouveau()
	: CFileDialogAide(FALSE, pszExtDefaut, NULL,
		fdFlagsSave | OFN_ENABLETEMPLATE),
		m_sTitle(MAKEINTRESOURCE(IDS_NOUVEAU))
{
	// Crer la liste des filtres
	CString sExtDefaut, sFilterTous, sDefault;
	oApp.InitFileOpenStruct(m_ofn, sExtDefaut,
		sFilterTous, m_sFilter, sfodPasLectureSeule);
	m_sFilter.Replace('|', 0);
	m_ofn.lpstrFilter = m_sFilter;
	
	// Dfinir le titre et le template
	m_ofn.lpstrTitle = m_sTitle;
	SetTemplate(0, IDD_NOUVEAU);
}


// Initialisation
BOOL CDlgNouveau::OnInitDialog()
{
	CFileDialogAide::OnInitDialog();
	
	m_fAjouter = ToBool(oApp.GetProfileInt(kszGeneral, eszGeneralNouveauAjouter, true));
	CheckDlgButton(IDCCHK_AJOUTER, m_fAjouter);
	
	// Redfinir le label du bouton OK en Crer
#ifdef UNICODE
	inittoA(pszNouveau, (LPCTSTR)CStringRes(IDS_CMDNOUVEAU), 32);
	SetControlText(IDOK, pszNouveau);
#else
	SetControlText(IDOK, CStringRes(IDS_CMDNOUVEAU));
#endif
	
	return TRUE;
}


// Ajouter - modifi
void CDlgNouveau::OnChkAjouter()
{
	m_fAjouter = ToBool(IsDlgButtonChecked(IDCCHK_AJOUTER));
	oApp.WriteProfileInt(kszGeneral, eszGeneralNouveauAjouter, m_fAjouter);
}
