// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgParcourir.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "AppResource.h"
#include "dlgParcourir.h"


BEGIN_MESSAGE_MAP(CDlgParcourir, CDialog)
	//{{AFX_MSG_MAP(CDlgParcourir)
	ON_COMMAND(IDCCMD_NOUVEAU,                   OnNouveau)
	ON_NOTIFY (TVN_SELCHANGED, IDCTRE_PARCOURIR, OnTreSelChanged)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// Constructeur
CDlgParcourir::CDlgParcourir(CString& sDossier, CWnd* pParent)
	: CDialog(IDD, pParent), m_sDossier(sDossier)
{
	//{{AFX_DATA_INIT(CDlgParcourir)
	//}}AFX_DATA_INIT
}


// Contrles
void CDlgParcourir::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	
	DDX_TrvExplore(pDX, IDCTRE_PARCOURIR, m_tre,  m_sDossier);
	//{{AFX_DATA_MAP(CDlgParcourir)
	DDX_Text      (pDX, IDCTXT_DOSSIER,   m_sDossier);
	DDV_MaxChars  (pDX,                   m_sDossier, MAX_PATH);
	//}}AFX_DATA_MAP
}


// OK
void CDlgParcourir::OnOK()
{
	if (UpdateData())
		EndDialog(IDOK);
}


// Nouveau
void CDlgParcourir::OnNouveau()
{
	m_tre.NouveauDossier();
}


// Arborescence - Slection modifie
void CDlgParcourir::OnTreSelChanged(NMHDR*, LRESULT*)
{
	SetDlgItemText(IDCTXT_DOSSIER, m_tre.GetPath());
}
