// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgProprietes.h


#ifndef _DLGPROPRIETES_H_
#define _DLGPROPRIETES_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "Global.h"
#include <Temps.h>


class CDlgProprietes : public CDialog
{
public:  // Fonctions
	
	CDlgProprietes(CDossier* pDossier=NULL, CWnd* pParent=NULL)
		: CDialog(IDD, pParent), m_pDossier(pDossier) {}
	
	
public:  // Donnes
	
	//{{AFX_DATA(CDlgProprietes)
	enum { IDD = IDD_PROPRIETES };
	BOOL      m_fAttrA;
	BOOL      m_fAttrH;
	BOOL      m_fAttrR;
	BOOL      m_fAttrS;
	//}}AFX_DATA
	CTempsDHS m_dtModif;
	
	CLstFichier  m_lstFichier;
	CFichier    *m_pFichier;
	CDossier    *m_pDossier;
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgProprietes)
	public:
	virtual int DoModal();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CDlgProprietes)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
#if 0
	DECLARE_MESSAGE_MAP()
#endif
};


//{{AFX_INSERT_LOCATION}}
#endif
