// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgRech.h


#ifndef _DLGRECH_H_
#define _DLGRECH_H_
#if _MSC_VER>1000
#pragma once
#endif


#include "PlusItem.h"

#include "pgRechGeneral.h"
#include "pgRechDate.h"
#include "pgRechTaille.h"
#include "pgRechAttribut.h"


#include "DialogAide.h"
class CDlgRech : public CTabSheetAide
{
public:  // Fonctions
	
	CDlgRech(bool fRech, RECHOPTIONS& rch, CWnd* pParentWnd=NULL, UINT iSelectPage=0);
	
	
public:  // Donnes
	
	bool            m_fRech;   // TRUE si recherche, FALSE si compression
	RECHOPTIONS    &m_rch;     // Options de recherche
	
	CPgRechGeneral  m_pgGeneral;
	CPgRechDate     m_pgDate;
	CPgRechTaille   m_pgTaille;
	CPgRechAttribut m_pgAttribut;
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgRech)
	public:
	virtual int DoModal();
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CDlgRech)
	//}}AFX_MSG
};


//{{AFX_INSERT_LOCATION}}
#endif
