// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgReparer.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "AppResource.h"
#include "dlgReparer.h"

#include "Options.h"
#include "FileDialogEx.h"


#if 0
BEGIN_MESSAGE_MAP(CDlgReparer, CFileDialogAide)
	//{{AFX_MSG_MAP(CDlgReparer)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
#endif


// Constructeur
CDlgReparer::CDlgReparer()
	: CFileDialogAide(TRUE, NULL,NULL,
		fdFlagsOpen | OFN_ALLOWMULTISELECT)
{
	// Charger le titre
	m_sTitle.LoadString(IDS_REPARER);
	m_ofn.lpstrTitle = m_sTitle;
	
	// Initialiser la fentre parent
	m_wndParent.m_pFileDialog = this;
	
	// Charger le template
	SetTemplate(0, IDD_REPARER);
}


// Initialisation
void CDlgReparer::OnInitDone()
{
	m_wndParent.SubclassWindow(*GetParent());
	
	CheckDlgButton(IDCOPT_REPARER_0, TRUE);
}


// Ouvrir
void CDlgReparer::OnOK()
{
	for (int nID=IDCOPT_REPARER_0; nID<=IDCOPT_REPARER_2; nID++) {
		if (IsDlgButtonChecked(nID)) {
			e_opt.m_nReparer = (REPARER)(nID-IDCOPT_REPARER_0+1);
			break;
		}
	}
	
	CFileDialogAide::OnOK();
}
