// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgResRech.h


#ifndef _DLGRESRECH_H_
#define _DLGRESRECH_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "lstMuzip.h"

class CMuzipArc;


class CDlgResRech : public CDialog
{
public:  // Fonctions
	
	CDlgResRech();
	
	void AttachArc(CMuzipArc* pArc);
	bool IsArc(CMuzipArc* pArc) const { return m_pArc==pArc; }
	
	void MAJStatusBar();
	
	
public:  // Donnes
	
	//{{AFX_DATA(CDlgResRech)
	enum { IDD = IDD_RESRECH };
	CLstMuzip m_lst;
	//}}AFX_DATA
	
	CStatusBar m_stb;
	
	
public:  // Interne
	
	CMuzipArc *m_pArc;   // Archive dont le contenu est list
	
	HACCEL m_hAccelTable;
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgResRech)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CDlgResRech)
	afx_msg int  OnCreate(CREATESTRUCT* pcs);
	virtual BOOL OnInitDialog();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnClose();
	afx_msg void OnLstItemChanged(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


extern CDlgResRech *e_pdlgResRech;


//{{AFX_INSERT_LOCATION}}
#endif
