// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgSfx.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "Muzip.h"
#include "dlgSfx.h"

#include "dlgParcourir.h"

#include "Fichier.h"
#include "Dossier.h"


BEGIN_MESSAGE_MAP(CDlgSfx, CDialogAide)
	//{{AFX_MSG_MAP(CDlgSfx)
	ON_COMMAND(IDCCMD_SFXPARCOURIR, OnParcourir)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// Constructeur
CDlgSfx::CDlgSfx(CFichier* pFichierExec, CWnd* pParent) : CDialogAide(IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgSfx)
	m_fEcraser = FALSE;
	m_fExec    = FALSE;
	//}}AFX_DATA_INIT
	
	m_pFichierExec = pFichierExec;
}


// Contrles
void CDlgSfx::DoDataExchange(CDataExchange* pDX)
{
	CDialogAide::DoDataExchange(pDX);
	
	//{{AFX_DATA_MAP(CDlgSfx)
	DDX_Text    (pDX, IDCTXT_EXE,     m_sEXE);
	DDX_Text    (pDX, IDCTXT_DEST,    m_sDest);
	DDV_MaxChars(pDX,                 m_sDest, MAX_PATH);
	DDX_Check   (pDX, IDCCHK_ECRASER, m_fEcraser);
	DDX_Check   (pDX, IDCCHK_EXEC,    m_fExec);
	//}}AFX_DATA_MAP
}


// Initialisation
BOOL CDlgSfx::OnInitDialog()
{
	CDialogAide::OnInitDialog();
	
	// Donner une icne au bouton Parcourir
	oApp.SetIconeParcourir(this, IDCCMD_SFXPARCOURIR);
	
	// Si un fichier est slectionn,
	// activer la case permettant le lancement automatique
	// d'un programme aprs la dcompression
	if (!m_pFichierExec)
		GetDlgItem(IDCCHK_EXEC)->EnableWindow(FALSE);
	else
		SetDlgItemText(IDCLBL_EXEC, m_pFichierExec->m_pszNom);
	
	return TRUE;
}


// Parcourir
void CDlgSfx::OnParcourir()
{
	if (UpdateData() &&
	    CDlgParcourir(m_sDest, this).DoModal()==IDOK)
		UpdateData(FALSE);
}
