// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// pgOptionsAffichage.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "AppResource.h"
#include "pgOptionsAffichage.h"


BEGIN_MESSAGE_MAP(CPgOptionsAffichage, CPropertyPageAide)
	//{{AFX_MSG_MAP(CPgOptionsAffichage)
	ON_BN_CLICKED(IDCOPT_SOURIS_0, OnOptSouris)
	ON_BN_CLICKED(IDCOPT_SOURIS_1, OnOptSouris)
	ON_BN_CLICKED(IDCOPT_SOURIS_2, OnOptSouris)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// Contrles
void CPgOptionsAffichage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPageAide::DoDataExchange(pDX);
	
	//{{AFX_DATA_MAP(CPgOptionsAffichage)
	DDX_Check(pDX, IDCCHK_GRILLE,     m_fGrille);
	DDX_Check(pDX, IDCCHK_SELLIGNE,   m_fSelLigne);
	DDX_Radio(pDX, IDCOPT_SOURIS_0,   m_nSouris);
	DDX_Radio(pDX, IDCOPT_SOURIS_1_0, m_nSouris1);
	DDX_Check(pDX, IDCCHK_MODIFHEURE, m_fModifHeure);
	//}}AFX_DATA_MAP
	
	if (!pDX->m_bSaveAndValidate)
		OnOptSouris();
}


// Option "Souris"
void CPgOptionsAffichage::OnOptSouris()
{
	SetEnabled(this, IDCOPT_SOURIS_1_0,IDCOPT_SOURIS_1_2, IDCOPT_SOURIS_1);
}
