// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// pgOptionsConfirm.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "AppResource.h"
#include "pgOptionsConfirm.h"

#include "dlgConfirm.h"


#if 0
BEGIN_MESSAGE_MAP(CPgOptionsConfirm, CPropertyPageAide)
	//{{AFX_MSG_MAP(CPgOptionsConfirm)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
#endif


// Contrles
void CPgOptionsConfirm::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPageAide::DoDataExchange(pDX);
	
	//{{AFX_DATA_MAP(CPgOptionsConfirm)
	DDX_Control(pDX, IDCLST_CONFIRM, m_lst);
	//}}AFX_DATA_MAP
	
	if (!pDX->m_bSaveAndValidate) {
		// Chargement
		
		if (m_lst.GetCount()) {
			
			// Cocher ou dcocher les options
			for (int nItem=0; nItem<nbMcf; nItem++)
				m_lst.SetCheck(nItem, ToBool(m_dwMcf & (1<<nItem)));
		}
		
	}else{
		// Enregistrement
		
		// Rcuprer la liste des options
		// On la rcupre en ngatif pour les ventuels
		// futurs messages de confirmation soient mis  "Oui" par dfaut
		m_dwMcf = (DWORD)-1;
		for (int nItem=0; nItem<nbMcf; nItem++)
			if (!m_lst.GetCheck(nItem))
				m_dwMcf &= ~(1<<nItem);
	}
}


// Initialisation
BOOL CPgOptionsConfirm::OnInitDialog()
{
	CPropertyPageAide::OnInitDialog();
	
	// Lister les options de reconstruction manuelle
	CTokenize tok(IDS_CONFIRM, '\n');
	while (tok.Next())
		VERIFY(m_lst.AddString(tok.GetToken())==tok.GetIndex());
	ASSERT(m_lst.GetCount()==nbMcf);
	
	// Mettre  jour la liste
	UpdateData(FALSE);
	
	return TRUE;
}
