// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// pgRechTaille.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "AppResource.h"
#include "pgRechTaille.h"


BEGIN_MESSAGE_MAP(CPgRechTaille, CPropertyPageAide)
	//{{AFX_MSG_MAP(CPgRechTaille)
	ON_BN_CLICKED(IDCOPT_ACTIVE_0, OnActive)
	ON_BN_CLICKED(IDCOPT_ACTIVE_1, OnActive)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// Constructeur
CPgRechTaille::CPgRechTaille() : CPropertyPageAide(IDD)
{
	//{{AFX_DATA_INIT(CPgRechTaille)
	//}}AFX_DATA_INIT
}


// Contrles
void CPgRechTaille::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPageAide::DoDataExchange(pDX);
	
	//{{AFX_DATA_MAP(CPgRechTaille)
	DDX_Radio     (pDX, IDCOPT_ACTIVE_0, m_nActive);
	DDX_CBIndex   (pDX, IDCCBO_OP,       m_nOp);
	DDX_Text      (pDX, IDCTXT_TAILLE,   m_uTaille);
	DDV_MinMaxUInt(pDX,                  m_uTaille, 0, 99999);
	DDX_CBIndex   (pDX, IDCCBO_UNITE,    m_nUnite);
	//}}AFX_DATA_MAP
	
	if (!pDX->m_bSaveAndValidate)
		OnActive();
}


// On a bascul entre Activ/dsactiv
void CPgRechTaille::OnActive()
{
	SetEnabled(this, IDCCBO_OP, IDCCBO_UNITE, IDCOPT_ACTIVE_1);
}
