// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// FileDialogEx.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "FileDialogEx.h"


BEGIN_MESSAGE_MAP(CWndFileDialogParent, CWnd)
	//{{AFX_MSG_MAP(CWndFileDialogParent)
	ON_WM_WINDOWPOSCHANGED()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// Redimensionnement
void CWndFileDialogParent::OnWindowPosChanged(WINDOWPOS* pwp)
{
	// Aligner la fentre du template sur la droite,
	// en alignant la droite du template sur la droite du bouton annuler
	// Il faut pour cela que le template n'ait pas de marge droite, zro pixel !
	
	CRect rcTemplate;
	m_pFileDialog->GetWindowRect(rcTemplate);
	ScreenToClient(rcTemplate);
	
	// Garder la largeur initiale du template
	if (m_cxTemplate < 0)
		m_cxTemplate = rcTemplate.Width();
	
	// Appeler D'ABORD le gestionnaire de la bote de dialogue commune
	// parce qu'il va lui aussi dplacer les contrles
	CWnd::OnWindowPosChanged(pwp);
	
	// Rcuprer la position du bouton Annuler
	CWnd *const pcmdAnnuler = GetDlgItem(IDCANCEL);
	if (!pcmdAnnuler)
		return;
	CRect rcAnnuler;
	GetDlgItem(IDCANCEL)->GetWindowRect(rcAnnuler);
	ScreenToClient(rcAnnuler);
	
	// Repositionner le template (qui contient le bouton)
	m_pFileDialog->SetWindowPos(NULL,
		rcAnnuler.right - m_cxTemplate, rcTemplate.top,
		0,0, SWP_NOZORDER | SWP_NOSIZE);
}
