// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// LBPlusItem.h


#ifndef _LBPLUSITEM_H_
#define _LBPLUSITEM_H_
#if _MSC_VER>1000
#pragma once
#endif

class CPlusItem;


class CLBPlusItem : public CListBox
{
public:  // Fonctions
	
	CLBPlusItem();
	
	
	CPlusItem* GetItemPI(int nItem);
	
	void UpdateHorizontalExtent();
	
	int InsertString(int nItem, CPlusItem* ppi);
	
	
protected:  // Interne
	
	void CalcY();
	
	
	CImageList m_iml;   // Liste des icnes
	
	int m_cyItem;       // Hauteur d'un item
	int m_yoffTexte;    // Offset du texte par rapport au haut de l'item
	int m_yoffIcone;    // Offset de l'icne par rapport au haut de l'item
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CLBPlusItem)
	public:
	virtual void MeasureItem(MEASUREITEMSTRUCT* pmis);
	virtual void DrawItem(DRAWITEMSTRUCT* pdis);
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CLBPlusItem)
	afx_msg void OnDropFiles(HDROP hDropInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
#endif
