// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// LstBouton.h
//
// Gre une liste d'icnes pour les boutons Ajouter, Supprimer,
// Dplacer vers le haut/bas, etc.
// Gre galement le dplacement d'items vers le haut/bas dans une liste


#ifndef _LSTBOUTON_H_
#define _LSTBOUTON_H_
#if _MSC_VER>1000
#pragma once
#endif


class CLstBouton
{
public:  // Fonctions
	
	enum
	{
		btnAjouter,
		btnEnlever,
		btnEditer,
		btnSupprimer,
		btnHaut,
		btnBas,
		
		nbBouton
	};
	enum{ cBouton=15 };
	
	
	CLstBouton(CDialog* pdlg, CListBox& lst, UINT idDebut);
	
	void SetIcons();
	
	void OnHautBas(UINT nID) const;
	void OnLstSelChange(bool fMultiSel) const;
	
	
protected:  // Donnes
	
	CDialog   *m_pdlg;        // Bote de dialogue parent
	CListBox  &m_lst;         // Liste
	UINT       m_idDebut;     // ID du premier bouton de la srie
	CImageList m_imlBouton;   // Icnes des boutons
};


#endif
