// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// Muzip.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "Muzip.h"
#include "MuzipDll/MuzipApp.h"
#include "MuzipDll/MuzipExt.h"

#undef CApp
#undef oApp


BEGIN_MESSAGE_MAP(CApp, CWinApp)
	//{{AFX_MSG_MAP(CApp)
	ON_COMMAND(ID_APP_ABOUT,       OnAppAbout)
	ON_COMMAND(ID_FILE_NEW,        OnFileNew)
	ON_COMMAND(ID_FILE_NEW_SCRIPT, OnFileNewScript)
	ON_COMMAND(ID_FILE_RACCOURCI,  OnFileRaccourci)
	ON_COMMAND(ID_FILE_OPEN,       OnFileOpen)
	ON_COMMAND(ID_FILE_REPARER,    OnFileReparer)
	ON_COMMAND(ID_FILE_OPTIONS,    OnFileOptions)
	ON_COMMAND(ID_FILE_DECOMPMULT, OnFileDecompMult)
	ON_COMMAND(ID_MACRO_GERER,     OnMacroGerer)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


CApp oApp;


#define Call  ((CMuzipApp&)*this).CMuzipApp::
#define CallVoidSimple(Function) \
	void CApp::Function() \
	{ \
		Call Function(); \
	}



// Constructeur
CApp::CApp()
{
	e_nbTotRef++;
	Call Constructeur();
}

// Destructeur
CApp::~CApp()
{
	Call Destructeur();
	e_nbTotRef--;
}


// Initialisation
BOOL CApp::InitInstance()
{
	AfxGetThreadState()->m_bNeedTerm = FALSE;
	AfxOleInit();
	return Call InitInstance();
}

// Terminaison
int CApp::ExitInstance()
{
	return Call ExitInstance();
}


// Rien  faire
BOOL CApp::OnIdle(LONG lCount)
{
	return Call OnIdle(lCount);
}


// Bote de message
int CApp::DoMessageBox(LPCTSTR lpszPrompt, UINT nType, UINT nIDPrompt)
{
	return Call DoMessageBox(lpszPrompt, nType, nIDPrompt);
}


CallVoidSimple(OnAppAbout)
CallVoidSimple(OnFileNew)
CallVoidSimple(OnFileNewScript)
CallVoidSimple(OnFileRaccourci)
CallVoidSimple(OnFileOpen)
CallVoidSimple(OnFileReparer)
CallVoidSimple(OnFileOptions)
CallVoidSimple(OnFileDecompMult)
CallVoidSimple(OnMacroGerer)
