// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// MuzipSfx.h


#ifndef _MUZIPSFX_H_
#define _MUZIPSFX_H_
#if _MSC_VER>1000
#pragma once
#endif


const DWORD idSFXFooter = 'MSFX';

enum
{
	sfxEcraser = 1<<0,
	sfxExec    = 1<<1,
};


struct SFXFOOTER
{
	DWORD id;                  // Identificateur (idSFXFooter)
	DWORD off;                 // Offset du dbut de l'archive
	DWORD lenArchive;          // Taille de l'archive
	DWORD offExec;             // Offset dans l'archive du fichier  excuter
	TCHAR pszDest[MAX_PATH];   // Dossier de destination par dfaut
	DWORD dwFlags;             // Flags
};


extern bool e_fContinuer;


#endif
