// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// SysObject.h
//
// CSysObject - maintenance des couleurs systmes
//
// Cette classe partage les objets GDI et les couleurs systmes
// entre toutes les barres d'outils, afin d'viter de les stocker
// pour chaque contrle qui les utilise.
//  la rception de WM_SYSCOLORCHANGE, la fonction MAJ()
// doit tre appele
//
// REQUIERT
// - SysObject.cpp
// - Application MFC
//
// Guillaume Ryder, gryder@netcourrier.com, http://utilfr42.free.fr/


#ifndef _SYSOBJECT_H_
#define _SYSOBJECT_H_
#if _MSC_VER>1000
#pragma once
#endif


class CSysObject
{
public:  // Public
	
	static void MAJ();
	
	static CFont    fntGui;
	static COLORREF clBtnFace;
	static COLORREF clBtnHilight;
	static COLORREF clBtnShadow;
	static COLORREF clBtnLight;
	static COLORREF clMenu;
	static CBrush   brBtnFace;
	static CBrush   brBtnHilight;
	static CBrush   brBtnShadow;
	static CBrush   brBtnLight;
	
	
private:  // Priv
	
	CSysObject() { MAJ(); }
	static CSysObject s_sysObject;
};


#endif
