// GZip/GZipArc.h


#ifndef _GZIP_GZIPARC_H_
#define _GZIP_GZIPARC_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "../Z/ZArc.h"

class CMuzipException;
class CArchivePlus;
class CFileWrite;
class CGZipFichier;


struct CTDATA;

class CGZipArc : public CZArc
{
	friend class CGZipFichier;
	
public:  // Fonctions
	
	CGZipArc(CInterf* pi);
	
	static CMuzipArc* CreateArchive(CInterf* pi);
	
	
public:  // Hritage
	
	bool OpenDocument(bool fSilent);
	
	void SetComment(LPCTSTR psz);
	LPCTSTR GetComment() const;
	
	CFichier* NewFichier(LPCTSTR pszFichier, const WIN32_FIND_DATA& wfd);
	
	
protected:  // Interne
	
	bool IsGoodType();
	
	bool ArchivePlusUn(CFichierPlus* pFichierPlus, CFileRead& fr);
	
	
	LPTSTR m_pszCom;   // Commentaires
};


#endif
