// Interf.h


#ifndef _INTERF_H_
#define _INTERF_H_
#if _MSC_VER>1000
#pragma once
#endif

class CMuzipArc;
class CMuzipDoc;
class CDossier;
class CFichier;


class CInterf
{
public:  // Fonctions
	
	CInterf() : m_bModified(FALSE) {}
	
	
	void SetArc(CMuzipArc* pArc) { m_pArc = pArc; }
	
	
	virtual CMuzipDoc* GetDoc() const { return NULL; }
	
	virtual void SetModifiedFlag(BOOL bModified=TRUE) { m_bModified = bModified; }
	        BOOL IsModified() const { return m_bModified; }
	
	virtual void UpdateView(bool fQueListe=false) { fQueListe; }
	virtual void DeleteAll() {}
	virtual void UpdateFichier(CFichier* pFichier) { pFichier; }
	
	virtual void CloseDocument();
	
	virtual void SelFichier(const CFichier* pFichier) { pFichier; }
	
	virtual void MAJResRech() {}
	virtual void Rechercher() {}
	virtual void RechercherSuivant(const CDossier* pDossier, int nItem=-1) { pDossier; nItem; }
	
	virtual HTREEITEM InsertItem(TVINSERTSTRUCT* ptvis) { ptvis;  return NULL; }
	
	
public:  // vnements
	
	virtual void OnFichierSupprimer(CFichier* pFichier) { pFichier; }
	virtual void OnDossierSupprimer(CDossier* pDossier) { pDossier; }
	virtual void OnDossierChange() {}
	
	
protected:  // Donnes
	
	CMuzipArc *m_pArc;
	
	BOOL       m_bModified;
};


#endif
