// Recherche.h


#ifndef _RECHERCHE_H_
#define _RECHERCHE_H_
#if _MSC_VER>1000
#pragma once
#endif

class CPlusItem;
class CFichierPlus;
typedef CListePtr1<CFichierPlus*> CLstFichierPlus;


class CRecherche
{
public:  // Fonctions
	
	CRecherche(CMuzipArc* pArc);
	
	void SetArchivePlus(const CArchivePlus& arPlus);
	
	bool Rechercher(CPlusItem* ppi);
	
	void Finaliser(CLstFichierPlus& lstFichierPlus);
	
	
protected:  // Interne
	
	bool Rechercher(LPTSTR pszParent, bool fVraieRecherche, CDossier* pDossier, CString& sDossier);
	
	// Spcification uniquement (utilis par la rcursivit avec Rechercher)
	// Ne contient que la spcification, par exemple "*.doc" ou "Rapport.txt"
	CString m_sSpec;
	
	
	CMuzipArc          *m_pArc;
	const CArchivePlus *m_parPlus;
	CDossier           *m_pParent;
	
	CFichierPlus       *m_pfpDeb;   // Racine de l'arbre
	
	CPlusItem *m_ppi;
	
	// Attributs
	DWORD m_mskAttrO;          // Ncessaires, supprime de la recherche
	DWORD m_mskAttrOPasComp;   // Ncessaires, ne pas compresser
	DWORD m_mskAttrN;          //  exclure
};


#endif
