// Tar/TarFichier.h


#ifndef _TAR_TARFICHIER_H_
#define _TAR_TARFICHIER_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "../Fichier.h"


class CTarFichier : public CFichier
{
	friend class CTarArc;
	
public:  // Hritage
	
	bool OnRenommer();
	bool OnModifProp();
	
	
protected:  // Interne
	
	bool FichierCopierInterne(CFileRead& fr);
	
	bool DecompInterne(LPCTSTR pszDest);
	
	bool PutHeader();
	
	
	DWORD m_dwFlags;   // Flags
	DWORD m_off;       // Offset par rapport au dbut de l'archive
	
	static DWORD s_off;     // Offset courant
	static bool  s_fComp;   // TRUE si on est en compression
	                        // (pour CTarFichier::FichierCopier)
	
	
	static void SetOctal12(LPSTR psz, DWORD dw);
};


#endif
