// Uue/UueArc.h


#ifndef _UUE_UUEARC_H_
#define _UUE_UUEARC_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "../MuzipArc.h"

class CArchivePlus;


class CUueArc : public CMuzipArc
{
	friend class CUueFichier;
	
public:  // Hritage
	
	CUueArc(CInterf* pi) : CMuzipArc(pi) {}
	
	static CMuzipArc* CreateArchive(CInterf* pi);
	
	CFichier* NewFichier(LPCTSTR pszFichier, const WIN32_FIND_DATA& wfd);
	
	
protected:  // Hritage interne
	
	bool OpenDocument(bool fSilent);
	
	
protected:  // Interne
	
	bool ArchivePlusUn(CFichierPlus* pFichierPlus, CFileRead& fr);
	
	bool IsGoodType();
};


#endif
