// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgAjouter.h


#ifndef _DLGAJOUTER_H_
#define _DLGAJOUTER_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "FileDialogEx.h"

class CPlusItem;


class CDlgAjouter : public CFileDialogEx
{
public:  // Fonctions
	
	CDlgAjouter(CPlusItem* ppi, LPCTSTR pszArchive);
	~CDlgAjouter();
	
	
public:  // Donnes
	
	CPlusItem *m_ppi;
	
	
protected:  // Interne
	
	void SetFiltre(LPCTSTR pszFiltre);
	
	
	// La vraie bote de dialogue (pas le template)
	// Sert  aligner le template  droite, pour que le bouton "Ajouter dossier"
	// soit juste en-dessous du bouton "Annuler"
	CWndFileDialogParent m_wndParent;
	
	
	CString m_sTitle;      // Titre de la fentre
	CString m_sInit;       // Spcification initiale
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgMdp)
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CDlgAjouter)
	virtual void OnInitDone();
	afx_msg BOOL OnFileNameOK();
	afx_msg void OnAjouterDossier();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
#endif
