// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgComment.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "AppResource.h"
#include "dlgComment.h"

#include "MuzipArc.h"


#if 0
BEGIN_MESSAGE_MAP(CDlgComment, CDialog)
	//{{AFX_MSG_MAP(CDlgComment)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
#endif


// Constructeur
CDlgComment::CDlgComment(CMuzipArc* pArc, CWnd* pParent)
	: CDialog(IDD, pParent), m_pArc(pArc)
{
	//{{AFX_DATA_INIT(CDlgMdp)
	m_s = m_pArc->GetComment();
	//}}AFX_DATA_INIT
}


// Contrles
void CDlgComment::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	
	//{{AFX_DATA_MAP(CDlgComment)
	DDX_Control (pDX, IDCTXT_COMMENT, m_txt);
	DDX_Text    (pDX, IDCTXT_COMMENT, m_s);
	DDV_MaxChars(pDX,                 m_s, 65535);
	//}}AFX_DATA_MAP
}


// Initialisation
BOOL CDlgComment::OnInitDialog()
{
	CDialog::OnInitDialog();
	
	if (m_pArc->IsLectureSeule())
		m_txt.SetReadOnly();
	
	return TRUE;
}
