// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgConvertir.h


#ifndef _DLGCONVERTIR_H_
#define _DLGCONVERTIR_H_
#if _MSC_VER>1000
#pragma once
#endif

class CMuzipArc;
class CDocType;


#include "DialogAide.h"
class CDlgConvertir : public CDialogAide
{
public:  // Fonctions
	
	CDlgConvertir(CMuzipArc* pArc, CWnd* pParent=NULL);
	
	
public:  // Donnes
	
	//{{AFX_DATA(CDlgConvertir)
	enum { IDD = IDD_CONVERTIR };
	CComboBox m_cboFormat;
	int       m_nFormat;
	int       m_nType;
	//}}AFX_DATA
	
	CDocType *m_pmdt;     // Type d'archive cible
	CString   m_sCible;   // Chemin d'accs complet de l'archive cible
	
	
protected:  // Interne
	
	CMuzipArc *m_pArc;
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgConvertir)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CDlgConvertir)
	virtual BOOL OnInitDialog();
	afx_msg void OnFormatSelChange();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
#endif
