// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgDecomp.h


#ifndef _DLGDECOMP_H_
#define _DLGDECOMP_H_
#if _MSC_VER>1000
#pragma once
#endif

#include <TrvExplore.h>
class CMuzipArc;


#include "DialogAide.h"
class CDlgDecomp : public CDialogAide
{
public:  // Fonctions
	
	CDlgDecomp(bool fAppDefaut, const CMuzipArc* pArc=NULL);
	
	bool Init(LPCTSTR pszDest, LPCTSTR pszOptions);
	
	
public:  // Donnes
	
	//{{AFX_DATA(CDlgDecomp)
	enum { IDD = IDD_DECOMP };
	CTrvExplore m_treDest;
	CString     m_sDest;
	DECOMP      m_dec;
	//}}AFX_DATA
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgDecomp)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	// TRUE si on doit sauver les options dans oApp.m_dec
	// si l'utilisateur clique sur OK
	bool m_fAppDefaut;
	
	//{{AFX_MSG(CDlgDecomp)
	afx_msg void OnTreDestSelChanged(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnOK();
	afx_msg void OnEcraseSelChange();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
#endif
