// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgEcrase.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "AppResource.h"
#include "dlgEcrase.h"

#include "Muzip.h"


#if 0
BEGIN_MESSAGE_MAP(CDlgEcrase, CDialog)
	//{{AFX_MSG_MAP(CDlgEcrase)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
#endif


// Initialisation
BOOL CDlgEcrase::OnInitDialog()
{
	CDialog::OnInitDialog();
	
	// Redimensionner la bote de dialogue et repositionner les contrles en bas
	const int yDiff = DlgRedimSelonLabel(*this, e_sMsg);
	MoveControlY(*this, IDCCHK_ECRASEPASCONFIRM, yDiff);
	MoveControlY(*this, IDCCMD_ECRASEROUI,       yDiff);
	MoveControlY(*this, IDCCMD_ECRASERNON,       yDiff);
	MoveControlY(*this, IDCCMD_ECRASERENOMMER,   yDiff);
	MoveControlY(*this, IDCANCEL,                yDiff);
	
	return TRUE;
}


// Commande
BOOL CDlgEcrase::OnCommand(WPARAM wParam, LPARAM lParam)
{
	int nEcrase;
	
	switch (LOWORD(wParam)) {
		
		// Grer les boutons
		case IDCCMD_ECRASEROUI:      nEcrase = ecrToujours;  break;
		case IDCCMD_ECRASERNON:      nEcrase = ecrJamais;    break;
		case IDCCMD_ECRASERENOMMER:  nEcrase = ecrRenommer;  break;
		case IDCANCEL:               nEcrase = ecrAnnuler;   break;
		
		default:
			return CDialog::OnCommand(wParam, lParam);
	}
	
	// Un bouton a t cliqu
	// On renvoie  DoModal() le code ecr* et non l'ID du bouton
	m_fPasConfirm = ToBool(IsDlgButtonChecked(IDCCHK_ECRASEPASCONFIRM));
	EndDialog(nEcrase);
	
	return TRUE;
}
