// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgMacroAction.h


#ifndef _DLGMACROACTION_H_
#define _DLGMACROACTION_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "Macro.h"

#include "lstBouton.h"


#include "DialogAide.h"
#pragma warning (disable: 4355)
class CDlgMacroAction : public CDialogAide, public CMacAction
{
public:  // Fonctions
	
	CDlgMacroAction(CMacro* pmac, CWnd* pParent=NULL)
		: CDialogAide(IDD, pParent),
		  CMacAction(pmac),
		  m_lstBouton(this, m_lstCmd, IDCCMD_CMD_AJOUTER) {}
	
	
public:  // Donnes
	
	//{{AFX_DATA(CDlgMacroAction)
	enum { IDD = IDD_MACROACTION };
	CEdit    m_txtName;
	CListBox m_lstCmd;
	//}}AFX_DATA
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgMacroAction)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	CLstBouton  m_lstBouton;
	CString     m_sIdOrig;
	
	void AddItem(CMacCmd* pcmd, int nIndex, bool fSel=true);
	
	//{{AFX_MSG(CDlgMacroAction)
	virtual BOOL OnInitDialog();
	afx_msg void OnLstSelChange();
	afx_msg void OnTxtIdChange();
	afx_msg void OnAjouter();
	afx_msg void OnEditer();
	afx_msg void OnSupprimer();
	//}}AFX_MSG
	afx_msg void OnHautBas(UINT nID);
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
#endif
