// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgMacroGerer.h


#ifndef _DLGMACROGERER_H_
#define _DLGMACROGERER_H_
#if _MSC_VER>1000
#pragma once
#endif

class CMacro;
class CMacroItem;

typedef CListePtr2<CMacro*> CLstMacro;


#include "DialogAide.h"
class CDlgMacroGerer : public CDialogAide
{
	friend class CMacroItem;
	
public:  // Fonctions
	
	CDlgMacroGerer() : CDialogAide(IDD), m_lstMacroArc(true) {}
	
	
public:  // Donnes
	
	//{{AFX_DATA(CDlgMacroGerer)
	enum { IDD = IDD_MACROGERER };
	CTreeCtrl m_trv;
	//}}AFX_DATA
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgMacroGerer)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL
	
	
protected:  // Interne
	
	CLstMacro   m_lstMacroArc;
	CLstFichier m_lstFichierModif;
	
	
	CMacroItem* GetSelItem();
	CMacro*    GetSelMacro();
	
	void      ListMacro(HTREEITEM htiParent, CDossier* pDossier, CMacroItem& itemBase);
	HTREEITEM AddMacro (HTREEITEM htiParent, LPCTSTR   pszName,  CMacroItem* pItem);
	void      ListMacro(HTREEITEM htiMacro);
	
	void Clean     (HTREEITEM hti);
	void CleanChild(HTREEITEM hti);
	
	
protected:  // Messages
	
	//{{AFX_MSG(CDlgMacroGerer)
	virtual BOOL OnInitDialog();
	afx_msg void OnExecuter();
	afx_msg void OnEditer();
	afx_msg void OnEditerTxt();
	afx_msg void OnLocaliser();
	afx_msg void OnNouveau();
	afx_msg void OnOptions();
	afx_msg void OnTrvSelChanged   (NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnTrvItemExpanding(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
#endif
