// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgNomFichier.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "AppResource.h"
#include "dlgNomFichier.h"


BEGIN_MESSAGE_MAP(CDlgNomFichier, CDialog)
	//{{AFX_MSG_MAP(CDlgNomFichier)
	ON_EN_SETFOCUS(IDCTXT_NOM, OnNomSetFocus)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// Constructeur
CDlgNomFichier::CDlgNomFichier(LPTSTR pszBuf, CWnd* pParent)
	: CDialog(IDD, pParent), m_pszBuf(pszBuf)
{
	//{{AFX_DATA_INIT(CDlgNomFichier)
	m_sNom = pszBuf;
	//}}AFX_DATA_INIT
}


// Contrles
void CDlgNomFichier::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	
	//{{AFX_DATA_MAP(CDlgNomFichier)
	DDX_Text    (pDX, IDCTXT_NOM, m_sNom);
	DDV_MaxChars(pDX,             m_sNom, _MAX_FNAME-1);
	//}}AFX_DATA_MAP
}


// Fermer
void CDlgNomFichier::OnCancel()
{
	if (!UpdateData())
		return;
	
	lstrcpy(m_pszBuf, m_sNom);
	
	EndDialog(IDOK);
}


// La zone de texte gagne le focus
// Placer la slection de la zone de texte tout  droite
// pour qu'il soit plus rapide d'entrer l'extension
void CDlgNomFichier::OnNomSetFocus()
{
	SendDlgItemMessage(IDCTXT_NOM, EM_SETSEL, (WPARAM)-1,(LPARAM)0);
}
