// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgOptions.h


#ifndef _DLGOPTIONS_H_
#define _DLGOPTIONS_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "Options.h"
#include "pgOptionsGeneral.h"
#include "pgOptionsDossiers.h"
#include "pgOptionsConfirm.h"
#include "pgOptionsComp.h"
#include "pgOptionsRm.h"
#include "pgOptionsCache.h"
#include "pgOptionsAffichage.h"
#include "pgOptionsProgress.h"
#include "pgOptionsApercu.h"
#include "pgOptionsShell.h"
#include "pgOptionsMenu.h"
#include "pgOptionsMacro.h"


#include "DialogAide.h"
class CDlgOptions : public CDialogAide
{
public:  // Fonctions
	
	CDlgOptions(int pgDebut=pgOptionsGeneral);
	~CDlgOptions();
	
	
public:  // Donnes
	
	//{{AFX_DATA(CDlgOptions)
	enum { IDD = IDD_OPTIONS };
	CTreeCtrl m_trv;
	CStatic   m_lblDlg;
	//}}AFX_DATA
	
	bool m_fRegister;   // TRUE s'il faut enregistrer Muzip  la fermeture
	
	
protected:  // Interne
	
	int m_pgDebut;                            // Page  afficher initialement
	
	CPropertyPage *m_aPage[nbPageOptions];   // Toutes les pages ici
	CPropertyPage *m_pPageCur;               // Page courante
	
	
	bool SetCurPage(int iPage);
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgOptions)
	public:
	virtual int DoModal();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CDlgOptions)
	virtual BOOL OnInitDialog();
	afx_msg void OnTrvSelChanging(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
#endif
