// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgPlusItem.h


#ifndef _DLGPLUSITEM_H_
#define _DLGPLUSITEM_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "PlusItem.h"

class CMuzipArc;
class CScriptDoc;
class CDlgArchivePlus;


#include "DialogAide.h"
class CDlgPlusItem : public CDialogAide, public CPlusItem
{
public:  // Fonctions
	
	CDlgPlusItem(CMuzipArc* pArc, LPCTSTR pszArchive, bool fPeutSpec, CString& rsMdp);
	
	void SetEnabled(bool fEnabled);
	
	
public:  // Donnes
	
	//{{AFX_DATA(CDlgPlusItem)
	enum { IDD = IDD_PLUSITEM };
	//}}AFX_DATA
	
	CDlgArchivePlus *m_pdlgArchivePlus;
	
	CMuzipArc *m_pArc;
	LPCTSTR    m_pszArchive;
	bool       m_fPeutSpec;
	CString   &m_rsMdp;
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgPlusItem)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CDlgPlusItem)
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	afx_msg void OnActionSelChange();
	afx_msg void OnDefautCharger();
	afx_msg void OnDefautSauver();
	afx_msg void OnSpec();
	afx_msg void OnFiltre();
	afx_msg void OnMdp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
#endif
