// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// dlgRaccourci.cpp


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "StdAfx.h"
#include "AppResource.h"
#include "dlgRaccourci.h"

#include "dlgDecomp.h"


BEGIN_MESSAGE_MAP(CDlgRaccourci, CDialog)
	//{{AFX_MSG_MAP(CDlgRaccourci)
	ON_COMMAND(IDCCMD_DECOMP, OnDecomp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// Constructeur
// nInterdireCible est la cible  interdire, -1 si aucune
CDlgRaccourci::CDlgRaccourci(int nInterdireCible, CWnd* pParent)
	: CDialog(IDD, pParent), m_nInterdireCible(nInterdireCible)
{
	//{{AFX_DATA_INIT(CDlgRaccourci)
	m_nCible           = !m_nInterdireCible;
	m_fDemanderOptions = FALSE;
	//}}AFX_DATA_INIT
}


// Contrles
void CDlgRaccourci::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	
	//{{AFX_DATA_MAP(CDlgRaccourci)
	DDX_Radio(pDX, IDCOPT_RAC_CIBLE_0,     m_nCible);
	DDX_Check(pDX, IDCOPT_DEMANDEROPTIONS, m_fDemanderOptions);
	//}}AFX_DATA_MAP
	
	if (m_nInterdireCible>=0)
		GetDlgItem(IDCOPT_RAC_CIBLE_0+m_nInterdireCible)->EnableWindow(FALSE);
}


// Options de dcompression
void CDlgRaccourci::OnDecomp()
{
	CDlgDecomp dlgDecomp(false);
	dlgDecomp.m_sDest = m_sDest;
	dlgDecomp.m_dec   = m_dec;
	if (dlgDecomp.DoModal()==IDOK) {
		m_sDest = dlgDecomp.m_sDest;
		m_dec   = dlgDecomp.m_dec;
	}
}
