// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// pgOptionsGeneral.h


#ifndef _PGOPTIONSGENERAL_H_
#define _PGOPTIONSGENERAL_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "Options.h"


struct EXTDEFAUT
{
	CDocType *pdt;          // Type de document concern
	int       iExtDefaut;   // Index de l'extension par dfaut
};


#include "DialogAide.h"
class CPgOptionsGeneral : public CPropertyPageAide
{
public:  // Fonctions
	
	CPgOptionsGeneral() : CPropertyPageAide(IDD) {}
	
	
public:  // Donnes
	
	//{{AFX_DATA(CPgOptionsGeneral)
	enum { IDD = IDD_OPTIONS_GENERAL };
	CSpinButtonCtrl m_spnMRU;
	CComboBox       m_cboFormat;
	CComboBox       m_cboExt;
	//}}AFX_DATA
	dclMembresDePage(General)
	
	CListe2<EXTDEFAUT> m_lstExtDefaut;
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CPgOptionsGeneral)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL
	
	
protected:  // Message
	
	//{{AFX_MSG(CPgOptionsGeneral)
	virtual BOOL OnInitDialog();
	afx_msg void OnFormatSelChange();
	afx_msg void OnExtSelChange();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
#endif
