// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// MacroDoc.h


#ifndef _MACRODOC_H_
#define _MACRODOC_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "Macro.h"


class CMacroDoc : public CDocument
{
	DECLARE_DYNCREATE(CMacroDoc)
	
	// Constructeur
	CMacroDoc()
	{
		m_mac.m_pDoc = this;
	}
	
	
public:  // Donnes
	
	CMacro m_mac;
	
	
public:  // Fonctions
	
	void ToView();
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CMacroDoc)
	public:
	virtual void Serialize(CArchive& ar);
	virtual void DeleteContents();
	virtual void SetTitle(LPCTSTR pszTitle);
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CMacroDoc)
	afx_msg void OnMacroEditer();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
#endif
