// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// MacroView.h


#ifndef _MACROVIEW_H_
#define _MACROVIEW_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "MacroDoc.h"

#include <MenuButton.h>


class CMacroView : public CFormView
{
	DECLARE_DYNCREATE(CMacroView)
	
public:  // Fonctions
	
	CMacroView() : CFormView(IDD) {}
	
	CMacroDoc* GetDocument() { return (CMacroDoc*)m_pDocument; }
	
	void EditMacroText();
	
	
public:  // Donnes
	
	//{{AFX_DATA(CMacroView)
	enum { IDD = IDD_MACROVIEW };
	CEdit       m_txt;
	CMenuButton m_cmdExecuter;
	//}}AFX_DATA
	
	
protected:  // Interne
	
	CMenu m_mnuContext;
	CMenu m_mnuAction;
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CMacroView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CMacroView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnEdit();
	afx_msg void OnTxtSetFocus();
	afx_msg void OnTxtKillFocus();
	//}}AFX_MSG
	afx_msg void OnAction(UINT nID);
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
#endif
