// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// MainClient.cpp
//
// Sert uniquement au changement de barre d'outils


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "App.h"
#include "MainClient.h"
#include "MainFrame.h"


BEGIN_MESSAGE_MAP(CMainClient, CWnd)
	//{{AFX_MSG_MAP(CMainClient)
	ON_MESSAGE(WM_MDISETMENU, OnMDISetMenu)
	ON_WM_PARENTNOTIFY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// Changement de menu
LRESULT CMainClient::OnMDISetMenu(WPARAM, LPARAM)
{
	Default();
	
	((CMainFrame*)pApp->m_pMainWnd)->SwitchToolBar();
	return 0;
}

// Notification du parent
void CMainClient::OnParentNotify(UINT uMsg, LPARAM lParam)
{
	CWnd::OnParentNotify(uMsg, lParam);
	
	switch (LOWORD(uMsg)) {
		
		// Cration de fentre
		case WM_CREATE:
			m_nbChild++;
			break;
		
		// Destruction de fentre
		case WM_DESTROY:
			if (!--m_nbChild)
				((CMainFrame*)pApp->m_pMainWnd)->SwitchToolBar();
			break;
	}
}
