// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// MainFrame.h


#ifndef _MAINFRAME_H_
#define _MAINFRAME_H_
#if _MSC_VER>1000
#pragma once
#endif

#define TOOLBAREX_REG
#include <ToolBarEx.h>
#include "MainClient.h"


enum MUZIPCMD
{
	mucIsMuzip,
	mucCmdLine,
};

const DWORD_PTR mucMagicResult = 0x42D31C96;


class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
	
public:  // Fonctions
	
	CMainFrame();
	
	void SetComment(bool fComment);
	
	void SwitchToolBar();
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CMainFrame)
	//}}AFX_VIRTUAL
	
	CToolBar& GetToolBar();
	
	
protected:  // Donnes
	
	CMainClient m_wndClient;
	
	CStatusBar  m_wndStatusBar;
	bool        m_fComment;   // Icne commentaire affiche ?
	
	CToolBarEx  m_wndToolBar[4];
	int         m_nToolBar;
	
	
protected:  // Messages
	
	//{{AFX_MSG(CMainFrame)
	afx_msg int  OnCreate(CREATESTRUCT* pcs);
	afx_msg void OnDestroy();
	afx_msg void OnSettingChange(UINT uFlags, LPCTSTR lpszSection);
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnInitMenuPopup(CMenu* pPopupMenu, UINT nIndex, BOOL bSysMenu);
	afx_msg void OnIndicatorClick(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnUpdateIndicatorEtat   (CCmdUI* pCmdUI);
	afx_msg void OnUpdateIndicatorComment(CCmdUI* pCmdUI);
	afx_msg void OnViewToolbar();
	afx_msg void OnViewCustomize();
	afx_msg void OnViewApercuAuto();
	afx_msg void OnUpdateViewToolbar   (CCmdUI* pCmdUI);
	afx_msg void OnUpdateViewApercuAuto(CCmdUI* pCmdUI);
	//}}AFX_MSG
	afx_msg LRESULT OnMuzipCmd(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};


// Envoyer un message  une fentre principale de Muzip.exe visible
// Retourner la fentre trouve si tout s'est droul comme prvu
// (commande excute avec succs), NULL sinon
HWND SendMuzipCmd(MUZIPCMD muc, LPCTSTR pszArg=NULL, HWND hwndMain=NULL);


//{{AFX_INSERT_LOCATION}}
#endif
