// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// ScriptView.h


#ifndef _SCRIPTVIEW_H_
#define _SCRIPTVIEW_H_
#if _MSC_VER>1000
#pragma once
#endif

#include <MenuButton.h>


class CScriptDoc;


class CScriptView : public CFormView
{
	DECLARE_DYNCREATE(CScriptView)
	
public:  // Fonctions
	
	CScriptDoc* GetDocument() { return (CScriptDoc*)m_pDocument; }
	
	CScriptView() : CFormView(IDD) {}
	
	
protected:  // Donnes
	
	//{{AFX_DATA(CScriptView)
	enum { IDD = IDD_SCRIPTVIEW };
	CEdit       m_txtArchive;
	CMenuButton m_cmdSequence;
	//}}AFX_DATA
	
	CMenu m_mnuSequence;
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CScriptView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CScriptView)
	afx_msg void OnDropFiles(HDROP hDropInfo);
	afx_msg void OnTxtArchiveChange();
	afx_msg void OnChkDemMdp();
	afx_msg void OnParcourir();
	afx_msg void OnSimil();
	afx_msg void OnChkRacAuto();
	afx_msg void OnRacAuto();
	//}}AFX_MSG
	afx_msg void OnSequence(UINT nID);
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
#endif
