// Muzip 4.03
// 11 fvrier 2005
//
//
// Copyright (C) 2005 Guillaume Ryder
// gryder@club-internet.fr
// http://utilfr42.free.fr/muzip/
//
// Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
// le modifier conformment aux dispositions de la Licence Publique Gnrale
// GNU, telle que publie par la Free Software Foundation ; version 2 de la
// licence, ou encore ( votre choix) toute version ultrieure.
//
// Ce programme est distribu dans l'espoir qu'il sera utile, mais
// SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
// ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
// voir la Licence Publique Gnrale GNU.
//
// Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU
// en mme temps que ce programme ; si ce n'est pas le cas, crivez  la
// Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.


// Init.h
//
// Fichier d'initialisation commun  tous les programmes
// Dfinir NONO vite l'inclusion de <No.h>
//
// Guillaume Ryder, gryder@netcourrier.com, http://utilfr42.free.fr/


#ifndef _INIT_H_
#define _INIT_H_
#if _MSC_VER>1000
#pragma once
#endif


// Enlever les messages affichant le nom des fonctions
// slectionnes pour tre "inline"
#pragma warning (disable: 4710)
#pragma warning (disable: 4711)


// Utiliser les dclarations fortement types de Windows
#ifndef STRICT
#define STRICT 1
#endif


// Inclure les bibliothques courantes
#pragma comment(lib, "AdvAPI32")
#pragma comment(lib, "ShlWAPI")


// Type pour les coordonnes
typedef int XY;


// Convertit une valeur en une autre de type (bool)
#define ToBool(f)  ((f)!=0)


// Nombre d'lments d'un tableau
#define nbArray(a)   (sizeof(a)/sizeof(a[0]))

// Taille d'une chane constante
#define lenStr(asz)  (nbArray(asz)-1)


#undef min
#undef max

// Renvoie la plus petite valeur entre deux
template<class T> inline T& min(T t1, T t2)
{
	return (t1<t2) ? t1 : t2;
}

// Renvoie la plus grande valeur entre deux
template<class T> inline T& max(T t1, T t2)
{
	return (t1>t2) ? t1 : t2;
}


#define VERIF(f)  { if (!(f))  return false; }


#ifndef NONO
#include <No.h>
#endif

#define MYUNUSED(x)

#endif
